/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f0xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
#include <math.h>
#include <string.h>
#include <stdio.h>
typedef unsigned short int uint16_t;
typedef unsigned char uint8_t;
typedef unsigned long int uint32_t;
/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */
#define RXBUFFERSIZE 256
#define Crystal 48000000
/*typedef struct UartData{
    uint8_t RxBuffer[RXBUFFERSIZE];
    uint8_t aRxBuffer;
    uint8_t Uart_Rx_Cnt;
    uint8_t Rxflag;
} _UartData;
extern _UartData uartData1;*/

extern uint8_t switchWaveFlag;
extern uint8_t atcworkflag;


/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define KEY_1_Pin GPIO_PIN_13
#define KEY_1_GPIO_Port GPIOC
#define KEY_2_Pin GPIO_PIN_14
#define KEY_2_GPIO_Port GPIOC
#define KEY_R_Pin GPIO_PIN_15
#define KEY_R_GPIO_Port GPIOC
#define KEY_O_Pin GPIO_PIN_0
#define KEY_O_GPIO_Port GPIOF
#define KEY_L_Pin GPIO_PIN_1
#define KEY_L_GPIO_Port GPIOF
#define WAV_Pin GPIO_PIN_4
#define WAV_GPIO_Port GPIOA
#define DIO_Pin GPIO_PIN_10
#define DIO_GPIO_Port GPIOB
#define LCD_DC_Pin GPIO_PIN_15
#define LCD_DC_GPIO_Port GPIOA
#define LCD_SCL_Pin GPIO_PIN_3
#define LCD_SCL_GPIO_Port GPIOB
#define LCD_RE_Pin GPIO_PIN_4
#define LCD_RE_GPIO_Port GPIOB
#define LCD_SDA_Pin GPIO_PIN_5
#define LCD_SDA_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */
void delay_us(uint32_t udelay);
/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
