/*
 * menu.c
 *
 *  Created on: Aug 1, 2021
 *      Author: aikebei
 */

#include "menu.h"
#include "wave.h"
#include "key.h"
#include "atc20c01.h"
#include ".\lcd\lcd.h"
#include "math.h"
#include "string.h"
#include "main.h"
#include "stdlib.h"

_MenuSwitch menuSwitch;
uint8_t changeflag2 = 1;
void menu() {

    menuKey();
    if (changeflag2 == 1) {
        changeflag2 = 0;
        if (menuSwitch.mainSwitchNum == 0) {
            LCD_ShowChinese(12, 0, "Ⲩ", WHITE, BLUE, 32, 0);
            LCD_ShowString(140, 0, "PWM", WHITE, BLACK, 32, 0);
            LCD_ShowChinese(140 + 16 * 3, 0, "", WHITE, BLACK, 32, 0); //
            LCD_DrawLine(0, 33, 240, 33, WHITE);
            LCD_ShowChinese(10, 34, "", WHITE, BLACK, 32, 0);
            LCD_ShowChinese(10, 68, "Ƶ", WHITE, BLACK, 32, 0);
            LCD_ShowChinese(10, 102, "", WHITE, BLACK, 32, 0);
            LCD_ShowChinese(10, 136, "ֵ", WHITE, BLACK, 32, 0);
            LCD_ShowChinese(10, 170, "Сֵ", WHITE, BLACK, 32, 0);
        } else {
            LCD_ShowChinese(12, 0, "Ⲩ", WHITE, BLACK, 32, 0);
            LCD_ShowString(140, 0, "PWM", WHITE, BLUE, 32, 0);
            LCD_ShowChinese(140 + 16 * 3, 0, "", WHITE, BLUE, 32, 0); //
            LCD_DrawLine(0, 33, 240, 33, WHITE);
            LCD_ShowChinese(10, 34, "Ƶ", WHITE, BLACK, 32, 0);
            LCD_ShowChinese(10, 68, "ռձ", WHITE, BLACK, 32, 0);
        }
    }
    if (menuSwitch.menuchangeFlag == 1) {
        //л
        menuSwitch.menuchangeFlag = 0;
        switch (menuSwitch.mainSwitchNum) {
        case 0:
            Wave_Updata();
            mainmenu();
            break;
        case 1:
            pwm_Updata();
            mainmenu2();
            break;
        default:
            break;
        }
    }

}

void menuKey() {
    if (Key[0].KeyIsDeal == 0 && Key[0].KeyLogic == KEY_ON) //˵л
    {
        Key[0].KeyIsDeal = 1;
        if (menuSwitch.mainSwitchNum == 1) {
            LCD_Fill(0, 0, 240, 240, BLACK);
            changeflag2 = 1;
            menuSwitch.mainSwitchNum = 0;
            menuSwitch.secondarySwitchNum = 0;
            menuSwitch.menuchangeFlag = 1;
        } else {
            LCD_Fill(0, 0, 240, 240, BLACK);
            changeflag2 = 1;
            menuSwitch.mainSwitchNum = 1;
            menuSwitch.secondarySwitchNum = 0;
            menuSwitch.menuchangeFlag = 1;
        }
    }

    if (Key[1].KeyIsDeal == 0 && Key[1].KeyLogic == KEY_ON) //μл
    {
        Key[1].KeyIsDeal = 1;
        if (menuSwitch.mainSwitchNum == 0) {
            menuSwitch.menuchangeFlag = 1;
            if (menuSwitch.secondarySwitchNum == 6) {
                menuSwitch.secondarySwitchNum = 1;
            } else {
                menuSwitch.secondarySwitchNum++;
            }
        } else if (menuSwitch.mainSwitchNum == 1) {
            menuSwitch.menuchangeFlag = 1;
            if (menuSwitch.secondarySwitchNum == 3) {
                menuSwitch.secondarySwitchNum = 1;
            } else {
                menuSwitch.secondarySwitchNum++;
            }
        }
    }

    if (Key[2].KeyIsDeal == 0 && Key[2].KeyLogic == KEY_ON) //
    {
        Key[2].KeyIsDeal = 1;
        menuSwitch.menuchangeFlag = 1;
        if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 1) {
            if (switchWaveFlag != 0) {
                switchWaveFlag--;

            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 2) {
            if (waveData.frequency > 0) {
                waveData.frequency--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 3) {
            if (waveData.frequencyLevel > 0) {
                waveData.frequencyLevel--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 4) {
            if (waveData.codenumLevel != 0) {
                waveData.codenumLevel--;
                Wave_codeNum_Updata();
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 5) {
            if (waveData.maxValue != 0 && waveData.maxValue > waveData.minValue) {
                waveData.maxValue--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 6) {
            if (waveData.minValue != 0) {
                waveData.minValue--;
            }
        }
        //˵2
        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 1) {
            if (pwmData.frequency > 0) {
                pwmData.frequency--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 2) {
            if (pwmData.frequencyLevel > 0) {
                pwmData.frequencyLevel--;
            }
        } else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 3) {
            if (pwmData.dutyCycle > 0) {
                pwmData.dutyCycle--;
            }
        }
    }

    if (Key[2].KeyLogic == KEY_HOLD) {
        menuSwitch.menuchangeFlag = 1;

        if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 2) {
            if (waveData.frequency > 0) {
                waveData.frequency--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 5) {
            if (waveData.maxValue != 0 && waveData.maxValue > waveData.minValue) {
                waveData.maxValue--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 6) {
            if (waveData.minValue != 0) {
                waveData.minValue--;
            }
        }
        //˵2
        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 1) {
            if (pwmData.frequency > 0) {
                pwmData.frequency--;
            }
        } else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 3) {
            if (pwmData.dutyCycle > 0) {
                pwmData.dutyCycle--;
            }
        }
    }

    if (Key[4].KeyIsDeal == 0 && Key[4].KeyLogic == KEY_ON) //
    {
        Key[4].KeyIsDeal = 1;
        menuSwitch.menuchangeFlag = 1;
        if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 1) {
            if (switchWaveFlag < 3) {
                switchWaveFlag++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 2) {

            if (waveData.codenumLevel == 0 && ((waveData.frequency * pow(10, waveData.frequencyLevel)) < 3000)) {
                waveData.frequency++;
            } else if (waveData.codenumLevel == 1 && ((waveData.frequency * pow(10, waveData.frequencyLevel)) < 6000)) {
                waveData.frequency++;
            } else if (waveData.codenumLevel == 2 && ((waveData.frequency * pow(10, waveData.frequencyLevel)) < 12000)) {
                waveData.frequency++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 3) {
            if (waveData.codenumLevel == 0) {
                waveData.frequencyLevel++;
                if ((waveData.frequency * pow(10, waveData.frequencyLevel)) >= 3000) {
                    waveData.frequencyLevel--;
                }
            } else if (waveData.codenumLevel == 1) {
                waveData.frequencyLevel++;
                if ((waveData.frequency * pow(10, waveData.frequencyLevel)) >= 6000) {
                    waveData.frequencyLevel--;
                }
            } else if (waveData.codenumLevel == 2) {
                waveData.frequencyLevel++;
                if ((waveData.frequency * pow(10, waveData.frequencyLevel)) >= 12000) {
                    waveData.frequencyLevel--;
                }
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 4) {
            if (waveData.codenumLevel != 2) {
                waveData.codenumLevel++;
                Wave_codeNum_Updata();
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 5) {
            if (waveData.maxValue < 80) {
                waveData.maxValue++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 6) {
            if (waveData.minValue < 80 && waveData.maxValue > waveData.minValue) {
                waveData.minValue++;
            }
        }
        //˵2
        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 1) {
            if ((pwmData.frequency * pow(10, pwmData.frequencyLevel)) < 60000) {
                pwmData.frequency++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 2) {
            pwmData.frequencyLevel++;
            if ((pwmData.frequency * pow(10, pwmData.frequencyLevel)) >= 60000) {
                pwmData.frequencyLevel--;
            }
        }

        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 3) {
            if (pwmData.dutyCycle < 100) {
                pwmData.dutyCycle++;
            }
        }

    }

    if (Key[4].KeyLogic == KEY_HOLD) //
    {
        menuSwitch.menuchangeFlag = 1;
        if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 2) {

            if (waveData.codenumLevel == 0 && ((waveData.frequency * pow(10, waveData.frequencyLevel)) < 3000)) {
                waveData.frequency++;
            } else if (waveData.codenumLevel == 1 && ((waveData.frequency * pow(10, waveData.frequencyLevel)) < 6000)) {
                waveData.frequency++;
            } else if (waveData.codenumLevel == 2 && ((waveData.frequency * pow(10, waveData.frequencyLevel)) <12000)) {
                waveData.frequency++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 5) {
            if (waveData.maxValue < 80) {
                waveData.maxValue++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 0 && menuSwitch.secondarySwitchNum == 6) {
            if (waveData.minValue < 80 && waveData.maxValue > waveData.minValue) {
                waveData.minValue++;
            }
        }
        //˵2
        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 1) {
            if ((pwmData.frequency * pow(10, pwmData.frequencyLevel)) < 60000) {
                pwmData.frequency++;
            }
        }

        else if (menuSwitch.mainSwitchNum == 1 && menuSwitch.secondarySwitchNum == 3) {
            if (pwmData.dutyCycle < 100) {
                pwmData.dutyCycle++;
            }
        }
    }

}
//Ⲩ
void mainmenu() {
    switch (switchWaveFlag) {
    case 0:
        if (menuSwitch.secondarySwitchNum == 1) {
            LCD_ShowChinese(84, 34, "Ҳ", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(84, 34, "Ҳ", WHITE, BLACK, 32, 0);
        }
        break;
    case 1:
        if (menuSwitch.secondarySwitchNum == 1) {
            LCD_ShowChinese(84, 34, "ݲ", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(84, 34, "ݲ", WHITE, BLACK, 32, 0);
        }
        break;
    case 2:
        if (menuSwitch.secondarySwitchNum == 1) {
            LCD_ShowChinese(84, 34, "ǲ", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(84, 34, "ǲ", WHITE, BLACK, 32, 0);
        }
        break;
    case 3:
        if (menuSwitch.secondarySwitchNum == 1) {
            LCD_ShowChinese(84, 34, "β", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(84, 34, "β", WHITE, BLACK, 32, 0);
        }
        break;
    default:
        break;
    }

    if (menuSwitch.secondarySwitchNum == 2) {
        LCD_ShowIntNum(84, 68, waveData.frequency, 6, WHITE, LIGHTBLUE, 32);
    } else {
        LCD_ShowIntNum(84, 68, waveData.frequency, 6, WHITE, BLACK, 32);
    }

    LCD_ShowString(180, 68, "X", WHITE, BLACK, 16, 0);

    uint8_t str1[] = "   ";
    switch (waveData.frequencyLevel) {
    case 0:
        memcpy(str1, "1 ", 3);
        break;
    case 1:
        memcpy(str1, "10 ", 3);
        break;
    case 2:
        memcpy(str1, "100", 3);
        break;
    case 3:
        memcpy(str1, "1k ", 3);
        break;
    case 4:
        memcpy(str1, "10k", 3);
        break;
    default:
        break;
    }
    if (menuSwitch.secondarySwitchNum == 3) {
        LCD_ShowString(180 + 8, 68, str1, WHITE, LIGHTBLUE, 16, 0);
    } else {
        LCD_ShowString(180 + 8, 68, str1, WHITE, BLACK, 16, 0);
    }

    switch (waveData.codenumLevel) {
    case 0:
        if (menuSwitch.secondarySwitchNum == 4) {
            LCD_ShowChinese(94, 102, "", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(94, 102, "", WHITE, BLACK, 32, 0);
        }
        break;
    case 1:
        if (menuSwitch.secondarySwitchNum == 4) {
            LCD_ShowChinese(94, 102, "", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(94, 102, "", WHITE, BLACK, 32, 0);
        }
        break;
    case 2:
        if (menuSwitch.secondarySwitchNum == 4) {
            LCD_ShowChinese(94, 102, "", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowChinese(94, 102, "", WHITE, BLACK, 32, 0);
        }
        break;
    default:
        break;
    }
    int num = waveData.maxValue;
    uint8_t num1 = 0; //ʮλ
    uint8_t num2 = 0; //λ
    num = num - 40;
    num = abs(num);
    num1 = num / 10;
    num2 = num % 10;
    if (menuSwitch.secondarySwitchNum == 5) {
        if (waveData.maxValue < 36) {
            LCD_ShowString(126, 136, "-", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowString(126, 136, " ", WHITE, LIGHTBLUE, 32, 0);
        }
        LCD_ShowIntNum(142, 136, num1, 1, WHITE, LIGHTBLUE, 32);
        LCD_ShowString(158, 136, ".", WHITE, LIGHTBLUE, 32, 0);
        LCD_ShowIntNum(174, 136, num2, 1, WHITE, LIGHTBLUE, 32);
    } else {
        if (waveData.maxValue < 36) {
            LCD_ShowString(126, 136, "-", WHITE, BLACK, 32, 0);
        } else {
            LCD_ShowString(126, 136, " ", WHITE, BLACK, 32, 0);
        }
        LCD_ShowIntNum(142, 136, num1, 1, WHITE, BLACK, 32);
        LCD_ShowString(158, 136, ".", WHITE, BLACK, 32, 0);
        LCD_ShowIntNum(174, 136, num2, 1, WHITE, BLACK, 32);
    }
    LCD_ShowString(200, 136, "V", WHITE, BLACK, 32, 0);
    num = waveData.minValue;
    num = num - 40;
    num = abs(num);
    num1 = num / 10;
    num2 = num % 10;
    if (menuSwitch.secondarySwitchNum == 6) {
        if (waveData.minValue < 36) {
            LCD_ShowString(126, 170, "-", WHITE, LIGHTBLUE, 32, 0);
        } else {
            LCD_ShowString(126, 170, " ", WHITE, LIGHTBLUE, 32, 0);
        }
        LCD_ShowIntNum(142, 170, num1, 1, WHITE, LIGHTBLUE, 32);
        LCD_ShowString(158, 170, ".", WHITE, LIGHTBLUE, 32, 0);
        LCD_ShowIntNum(174, 170, num2, 1, WHITE, LIGHTBLUE, 32);
    } else {
        if (waveData.minValue < 36) {
            LCD_ShowString(126, 170, "-", WHITE, BLACK, 32, 0);
        } else {
            LCD_ShowString(126, 170, " ", WHITE, BLACK, 32, 0);
        }
        LCD_ShowIntNum(142, 170, num1, 1, WHITE, BLACK, 32);
        LCD_ShowString(158, 170, ".", WHITE, BLACK, 32, 0);
        LCD_ShowIntNum(174, 170, num2, 1, WHITE, BLACK, 32);
    }
    LCD_ShowString(200, 170, "V", WHITE, BLACK, 32, 0);

}

//pwm
void mainmenu2() {
    if (menuSwitch.secondarySwitchNum == 1) {
        LCD_ShowIntNum(84, 34, pwmData.frequency, 6, WHITE, LIGHTBLUE, 32);
    } else {
        LCD_ShowIntNum(84, 34, pwmData.frequency, 6, WHITE, BLACK, 32);
    }

    LCD_ShowString(180, 34, "X", WHITE, BLACK, 16, 0);

    uint8_t str1[] = "    ";
    switch (pwmData.frequencyLevel) {
    case 0:
        memcpy(str1, "1  ", 3);
        break;
    case 1:
        memcpy(str1, "10  ", 4);
        break;
    case 2:
        memcpy(str1, "100 ", 4);
        break;
    case 3:
        memcpy(str1, "1k  ", 4);
        break;
    case 4:
        memcpy(str1, "10k ", 4);
        break;
    case 5:
        memcpy(str1, "100k", 4);
        break;
    case 6:
        memcpy(str1, "1M  ", 4);
        break;
    default:
        break;
    }
    if (menuSwitch.secondarySwitchNum == 2) {
        LCD_ShowString(180 + 8, 34, str1, WHITE, LIGHTBLUE, 16, 0);
    } else {
        LCD_ShowString(180 + 8, 34, str1, WHITE, BLACK, 16, 0);
    }

    if (menuSwitch.secondarySwitchNum == 3) {
        LCD_ShowIntNum(126, 68, pwmData.dutyCycle, 3, WHITE, LIGHTBLUE, 32);
    } else {
        LCD_ShowIntNum(126, 68, pwmData.dutyCycle, 3, WHITE, BLACK, 32);
    }




}
